import { Registry } from '@nocobase/utils';
import Plugin, { Processor } from '../..';
import { Instruction } from '..';
import { FormHandler } from './forms';
type FormType = {
    type: 'custom' | 'create' | 'update';
    actions: number[];
    options: {
        [key: string]: any;
    };
};
export interface ManualConfig {
    schema: {
        [key: string]: any;
    };
    forms: {
        [key: string]: FormType;
    };
    assignees?: (number | string)[];
    mode?: number;
}
export default class implements Instruction {
    protected plugin: Plugin;
    formTypes: Registry<FormHandler>;
    constructor(plugin: Plugin);
    run(node: any, prevJob: any, processor: Processor): Promise<any>;
    resume(node: any, job: any, processor: Processor): Promise<any>;
}
export {};
